SGMLTOOLS(1)

NAME
sgmltools - process sgml files.

SYNOPSIS
sgmltools [-b backend] [-d] [-v] [-V] [-h] [-l] [-s dsssl_spec] [-j jadeopt] [--backend={html,ps,dvi,rtf,txt,ld2db,jadetex,pdb,lynx,w3m}] [--debug] [--verbose] [--dsssl-spec=dsssl_spec] [--jade-opt=jadeopt] [--version] [--help] [--license]

DESCRIPTION
sgmltools is the central driver of SGMLtools. You can use it to convert SGML input files to various formats, as indicated by the --backend switch.

  OPTIONS

-b, --backend
    Select the backend to use. Currently, there are five different backends to choose from. ps expects a DocBook SGML file and will convert it into PostScript. dvi expects a DocBook SGML file and will convert it into DVI. rtf expects a DocBook SGML file and will convert it into RTF. html expects a DocBook SGML file and will convert it into HTML; the resulting files will be put in a subdirectory (default). txt expects a DocBook SGML file and will convert it into ASCII. Note that this backend actually uses the w3m (preferred) or lynx (if w3m not found) backends. ld2db expects a LinuxDoc-SGML file and will convert it into DocBook SGML. jadetex expects a DocBook SGML file and will convert it into JadeTeX input. Only use this if you know what you're doing. pdb expects a DocBook SGML file and will convert it into the iSilo format used on Palm devices. w3m expects a DocBook SGML file and will convert it into ASCII. w3m does a better job of exporting HTML as ASCII text than Lynx, since w3m understands tables. One should normally use the txt backend and let sgmltools decide which ASCII exporter is available. lynx expects a DocBook SGML file and will convert it into ASCII. One should normally use the txt backend and let sgmltools decide which ASCII exporter is available.

-d, --debug
    Enable debugging. All temporary files will be left as is and possibly extra information on the processing steps is printed to stderr.

-v, --verbose
    Be verbose. Information on commands executed, etcetera, will be printed to stdout.

-s, --dsssl-spec
    Specify the DSSSL stylesheet to apply (see STYLESHEETS, below).

-j, --jade-opt
    Pass additional options directly to Jade.

-h, --help
    Print a usage message on standard output and exit successfully (tbd).

-V, --version
    Print version information on standard output then exit successfully (tbd).

-l, --license
    Print license information

STYLESHEETS
The DSSSL specification may be either a filename, a public identifier or a DSSSL alias (resolved via one of the alias files /etc/sgml/aliases and ~/.sgmlaliases to either a filename or a public identifier).

ENVIRONMENT VARIABLES

TMPDIR
    Temporary directory. If it is on a local filesystem, a lot of copying will be avoided. Furthermore, setting this will prevent SGMLtools from using /tmp and thus will prevent people trying to make use of race conditions.

SGML_CATALOG_FILES
    The SGML Open catalog files to use for resolving public identifiers into system identifiers.

BUGS
This is an early developer release, so don't expect it to behave in any useful way. It won't make coffee or tea.

SOURCES

  sgmltools-lite
http://sgmltools-lite.sourceforge.net

  w3m
http://ei5nazha.yz.yamagata-u.ac.jp/~aito/w3m/eng

  iSilo Tools
iSilo Palm readers and Linux encoders are available from:

http://www.isilo.com

  DocBook Documentation
The online version of 'DocBook: The Definitive Guide' can be found at:

http://www.docbook.org

  OpenJade
http://openjade.sourceforge.net

AUTHOR
Copyright (c)2000, Cees A. de Groot <cg@sgmltools.org>.